Create A User Invite
curl --request POST \
--url http://api.stuut.ai/v1/user-invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invitations": [
{
"email": "jsmith@example.com",
"as_admin": false
}
]
}
'import requests
url = "http://api.stuut.ai/v1/user-invites"
payload = { "invitations": [
{
"email": "jsmith@example.com",
"as_admin": False
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invitations: [{email: 'jsmith@example.com', as_admin: false}]})
};
fetch('http://api.stuut.ai/v1/user-invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"email": "<string>",
"object": "<string>",
"organization_id": "<string>",
"as_admin": true,
"created_at": "2023-11-07T05:31:56Z",
"invited_by_id": "<string>",
"is_accepted": true,
"modified_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z"
}
]{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}User Invites
Create A User Invite
POST
/
v1
/
user-invites
Create A User Invite
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
Successful response
Maximum string length:
255Maximum string length:
32Maximum string length:
32⌘I
